iSystemOpenManager Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iSystemOpenManager Struct Reference

Manager for system open events. More...

`#include <iutil/systemopenmanager.h>`

Inheritance diagram for iSystemOpenManager:

List of all members.

## Public Member Functions
virtual csHandlerID | Register (iEventHandler *eventh)=0
| Register a listener to receive csevSystemOpen and csevSystemClose events.
virtual csHandlerID | RegisterWeak (iEventHandler *eventh, csRef< iEventHandler > &handler)=0
| Register a weak listener to receive csevSystemOpen and csevSystemClose events.
virtual void | RemoveListener (iEventHandler *eventh)=0
| Unregister a listener for csevSystemOpen and csevSystemClose events.
virtual void | RemoveWeakListener (csRef< iEventHandler > &handler)=0
| Unregister a weak listener to receive csevSystemOpen and csevSystemClose events.

## Detailed Description

Manager for system open events.

It stores whether a csevSystemOpen event was already broadcast to the event handlers. If an event handler is later registered when the system is already open it immediately receives an open event. Thus, using iSystemOpenManager guarantees that a listener gets an csevSystemOpen event, independent whether that has been broadcast yet or not at the time of registration.

Definition at line 38 of file systemopenmanager.h.

## Member Function Documentation

virtual csHandlerID iSystemOpenManager::Register | ( | iEventHandler * | eventh | ) | `[pure virtual]`

Register a listener to receive csevSystemOpen and csevSystemClose events.

virtual csHandlerID iSystemOpenManager::RegisterWeak | ( | iEventHandler * | eventh,
|  | csRef< iEventHandler > & | handler
| ) |  | `[pure virtual]`

Register a weak listener to receive csevSystemOpen and csevSystemClose events.

See also:
  CS::RegisterWeakListener

virtual void iSystemOpenManager::RemoveListener | ( | iEventHandler * | eventh | ) | `[pure virtual]`

Unregister a listener for csevSystemOpen and csevSystemClose events.

virtual void iSystemOpenManager::RemoveWeakListener | ( | csRef< iEventHandler > & | handler | ) | `[pure virtual]`

Unregister a weak listener to receive csevSystemOpen and csevSystemClose events.

See also:
  CS::RemoveWeakListener

The documentation for this struct was generated from the following file:

- iutil/systemopenmanager.h